automation-suite
2.2510
true
Automation Suite on OpenShift installation guide
- Overview
- Requirements
- Pre-installation
- Preparing the installation
- Downloading the installation packages
- Configuring the OCI-compliant registry
- Granting installation permissions with cluster roles
- Granting installation permissions without cluster roles
- Installing and configuring the service mesh
- Installing and configuring the GitOps tool
- Installing the External Secrets Operator
- Deploying Redis through OperatorHub
- Applying miscellaneous configurations
- Running uipathctl
- Installation
- Post-installation
- Migration and upgrade
- Monitoring and alerting
- Health endpoints
- Cluster administration
- Product-specific configuration
- Orchestrator advanced configuration
- Configuring Orchestrator parameters
- Configuring appSettings
- Configuring the maximum request size
- Overriding cluster-level storage configuration
- Configuring NLog
- Saving robot logs to Elasticsearch
- Configuring credential stores
- Configuring encryption key per tenant
- Cleaning up the Orchestrator database
- Skipping host library installation
- AI Trust Layer
- Troubleshooting
- 500 errors and rate limiting on S3 requests in ODF
- External Secrets troubleshooting
- Configuring CSI driver tolerations for ODF 4.20
- Temporal as a Service troubleshooting
- AI Center and Document Understanding pods fail to start with TLS certificate verification enabled
- Studio Desktop cannot load Integration Service connectors and activities
- TLS certificate validation errors
- Manual ArgoCD NetworkPolicy mitigation (GHSA-47m3-95c7-g2g8)
- Configuring resource requests and limits for uipathctl-created workloads
Health endpoints
Health check endpoints for monitoring Automation Suite services on OpenShift.
To effectively monitor the health of your Automation Suite services, you can use the health endpoints listed in this section. These endpoints allow you to quickly verify if a service is operating correctly.
Platform
https://<automation-suite-fqdn>/pap_/healthhttps://<automation-suite-fqdn>/pdp_/healthhttps://<automation-suite-fqdn>/identity_/.well-known/openid-configurationhttps://<automation-suite-fqdn>/identity_/web/https://<automation-suite-fqdn>/lease_/health/https://<automation-suite-fqdn>/license_/healthhttps://<automation-suite-fqdn>/organization_/healthhttps://<automation-suite-fqdn>/portal_/portal/shallow/healthStatushttps://<automation-suite-fqdn>/audit_/healthhttps://<automation-suite-fqdn>/resourcecatalog_/health
Action Center
https://<automation-suite-fqdn>/actions_/https://<automation-suite-fqdn>/bupproxyservice_/health/readyhttps://<automation-suite-fqdn>/processes_/
Agents
https://<automation-suite-fqdn>/agents_/healthhttps://<automation-suite-fqdn>/agentsruntime_/health
AI Center
https://<automation-suite-fqdn>/aifabric_/ai-apphttps://<automation-suite-fqdn>/aifabric_/ai-deployer/actuator/health/readyhttps://<automation-suite-fqdn>/aifabric_/ai-trainer/actuator/health/readyhttps://<automation-suite-fqdn>/aifabric_/ai-pkgmanager/actuator/health/readyhttps://<automation-suite-fqdn>/aifabric_/ai-helper/actuator/health/readyhttps://<automation-suite-fqdn>/aistorage_/health
Apps
https://<automation-suite-fqdn>/<org-name>/apps_/default/api/v1/default/system-health
Autopilot for Everyone
https://<automation-suite-fqdn>/autopilotforeveryone_/api/health
Autopilot for Developers
https://<automation-suite-fqdn>/autopilotstudio_/alivehttps://<automation-suite-fqdn>/autopilotstudio_/health
Automation Hub
https://<automation-suite-fqdn>/automationhub_/fd-api/v1/pinghttps://<automation-suite-fqdn>/automationstore_/fd-api/v1/ping
Solutions
https://<automation-suite-fqdn>/automationsolutions_/health
Data Service
https://<automation-suite-fqdn>/dataservice_/api/HealthCheck/healthhttps://<automation-suite-fqdn>/dataservice_/assets
Document Understanding
https://<automation-suite-fqdn>/du_/api/documentmanager/healthhttps://<automation-suite-fqdn>/du_/api/storage/healthhttps://<automation-suite-fqdn>/du_/api/eventservice/healthhttps://<automation-suite-fqdn>/du_/metering/alivehttps://<automation-suite-fqdn>/du_/ocr/info/readyhttps://<automation-suite-fqdn>/du_/extended-ocr/readyhttps://<automation-suite-fqdn>/du_/classify/MLclassification/info/readyhttps://<automation-suite-fqdn>/du_/svc/formextractor/infohttps://<automation-suite-fqdn>/du_/svc/intelligentkeywords/info
Enterprise Context Service (ECS)
https://<automation-suite-fqdn>/ecs_/health
Healing Agent (Semantic Proxy)
https://<automation-suite-fqdn>/semanticproxy_/health
Insights
https://<automation-suite-fqdn>/insights_/health
Integration Service
https://<automation-suite-fqdn>/connections_/schedulerstatushttps://<automation-suite-fqdn>/connections_/dispatcherstatushttps://<automation-suite-fqdn>/elements_/v1/elements/healthhttps://<automation-suite-fqdn>/elements_/elements/api-v2/tickle
LLM Gateway
https://<automation-suite-fqdn>/llmgateway_/health
LLM Observability
https://<automation-suite-fqdn>/llmops_/healthhttps://<automation-suite-fqdn>/llmops_/tracesruntime/health
Maestro
https://<automation-suite-fqdn>/pims_/api/health
Notification Service
https://<automation-suite-fqdn>/notificationservice_/notificationserviceapi/health/readinesshttps://<automation-suite-fqdn>/notificationservice_/usersubscriptionservice/health/readinesshttps://<automation-suite-fqdn>/notificationservice_/publishermetaservice/health/readiness
Orchestrator
https://<automation-suite-fqdn>/orchestrator_/api/health
Robotube
https://<automation-suite-fqdn>/robotube_/healthz
ScreenPlay (Semantic Proxy)
https://<automation-suite-fqdn>/semanticproxy_/health
Studio Governance
https://<automation-suite-fqdn>/roboticsops_/api/health
Studio Web
https://<automation-suite-fqdn>/studio_/backend/healthzhttps://<automation-suite-fqdn>/studio_/typecache/healthz/readinesshttps://<automation-suite-fqdn>/studio_/
Test Manager
https://<automation-suite-fqdn>/testmanager_/api/health/live
Checking service health
To check the health of a specific service, send a request to its corresponding endpoint, as shown in the following example.
curl -kiso /dev/null -w "%{http_code}" https://<automation-suite-fqdn>/orchestrator_/api/health
curl -kiso /dev/null -w "%{http_code}" https://<automation-suite-fqdn>/orchestrator_/api/health
A successful response with an HTTP status code 200 indicates that the service is healthy.
- Platform
- Action Center
- Agents
- AI Center
- Apps
- Autopilot for Everyone
- Autopilot for Developers
- Automation Hub
- Solutions
- Data Service
- Document Understanding
- Enterprise Context Service (ECS)
- Healing Agent (Semantic Proxy)
- Insights
- Integration Service
- LLM Gateway
- LLM Observability
- Maestro
- Notification Service
- Orchestrator
- Robotube
- ScreenPlay (Semantic Proxy)
- Studio Governance
- Studio Web
- Test Manager
- Checking service health